<?php

namespace Opencart\Extension\Alsendo\Providers;

use Opencart\Extension\Alsendo\Repositories\AdditionalSettingsRepository;

class AdditionalSettingsDataProvider
{
    private AdditionalSettingsRepository $additionalSettingsRepository;

    public function __construct(AdditionalSettingsRepository $additionalSettingsRepository)
    {
        $this->additionalSettingsRepository = $additionalSettingsRepository;
    }

    public function getData(): array
    {
        $settings = $this->additionalSettingsRepository->getSettings();
        
        return [
            'additional_settings' => $settings?->toArray()
        ];
    }
} 